<div class="vh-100">
    <app-header></app-header>
    <div class="wrapper mx-auto">
        <app-sidebar></app-sidebar>
        <div class="wrapper-content">
            <div class="d-flex align-items-center justify-content-between mb-3">
                <h5 class="m-0">{{'sidebar.sysadmin' | translate}}</h5>
            </div>
           
                <form [formGroup]="form">
                <div class="col-6 d-flex justify-content-evenly">
                    <div class="mb-3">
                        <label for="from">C</label>
                        <input type="date" class="form-control" formControlName="from">
                    </div>
                    <div class="mb-3">
                        <label for="to">По</label>
                        <input type="date" class="form-control" formControlName="to">
                    </div>
                    <button class="btn btn-primary mt-auto mb-3" (click)="submit()">Искать</button>
                </div>
                </form>
           
            <div class="border rounded" *ngIf="userList?.items?.length !== 0">
            <table class="table table-striped">
                <thead>
                    <tr class="text-center text-nowrap">
                        <th scope="col">№</th>
                        <th scope="col">Статус<a (click)="sort('iin')"><i class="bi bi-sort-alpha-down"></i></a></th>
                        <th scope="col">Время<a (click)="sort('firstName')"><i class="bi bi-sort-alpha-down"></i></a></th>
                        <th scope="col">Действия<a (click)="sort('authorities')"><i class="bi bi-sort-alpha-down"></i></a></th>
                        <th scope="col">IP-адрес<a (click)="sort('birthDate')"><i class="bi bi-sort-alpha-down"></i></a></th>
                        <th scope="col">Сотрудник<a (click)="sort('birthDate')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="text-center" *ngFor="let user of userList?.items; let ind = index">
                        <td>{{ ind + 1 }}</td>
                        <td>{{ user?.loggingLevel }}</td>
                        <td>{{ user?.loggingTime  | date: 'dd.MM.yyyy'}}</td>
                        <td >{{user?.loggingMessage}}</td>
                        <td >{{ user?.ip }}</td>
                        <td >{{ user?.user}}</td>
                    </tr>
                </tbody>
            </table>
            <ngb-pagination [collectionSize]="userList?.count" (pageChange)="setPage($event)" [maxSize]="5" aria-label="Default pagination"></ngb-pagination>
            </div>
            <app-empty-list *ngIf="userList?.items?.length === 0"></app-empty-list>
        </div>
    </div>
</div>